//
//  InterfaceController.swift
//  Images WatchKit Extension
//
//  Created by Wei-Meng Lee on 6/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    @IBOutlet weak var image: WKInterfaceImage!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
        
        //image.setImageNamed("flag")
        
        image.setImageNamed("heart")
        
        //---use 5 images, every 0.5 seconds,
        //---location is the starting image - 0 for heart0.png, length is
        // for number of images to animate---
        image.startAnimatingWithImagesInRange(NSRange(location:0, length:5),
            duration: 0.5, repeatCount: Int.max)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
