//
//  ViewController.swift
//  WebServices
//
//  Created by Wei-Meng Lee on 13/4/15.
//  Copyright (c) 2015 Wei-Meng Lee. All rights reserved.
//

import UIKit

class ViewController: UIViewController,
    UIPickerViewDataSource,
    UIPickerViewDelegate {
    
    @IBOutlet weak var pickerCountries: UIPickerView!
    
    var countries: [String]!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        countries = ["Singapore", "Norway", "Japan", "Thailand", "Hong Kong"]
        self.pickerCountries.delegate = self
        self.pickerCountries.dataSource = self
    }
    
    func numberOfComponentsInPickerView(pickerView: UIPickerView) -> Int {
        return 1
    }

    func pickerView(pickerView: UIPickerView,
            numberOfRowsInComponent component: Int) -> Int {
        return countries.count
    }
    
    func pickerView(pickerView: UIPickerView, titleForRow row: Int,
            forComponent component: Int) -> String! {
        return countries[row]
    }
    
    func pickerView(pickerView: UIPickerView, didSelectRow row: Int,
            inComponent component: Int) {
        var defaults = NSUserDefaults(suiteName: "group.learningwatchkit.webservices.app")
        defaults?.setObject(countries[row], forKey: "country")
        defaults?.synchronize()
    }
        
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    
}

